Include statement

SYNOPSIS

pi_id | pi_include(pi_data *);

PARAMETER

pi_data.from: | start of " " or < > include statement
pi_data.to: | end of " " or < > include statement
pi_data.name: | name of the file not including " " or < > delimiters
pi_data.flags: | PI_STDINCL

DESCRIPTION
This function must be called whenever the parser detects an include statement in the source file. Parameters pi_data.from and pi_data.to are needed for the SNiFF+ Include Browser to function properly.
C/C++ example
#include <foo.h>
SNiFF+ Fuzzy Parser action

pi_data.from: | points to " < "
pi_data.to: | points to " > "
pi_data.name: | " foo.h "
pi_data.flags: | PI_STDINCL

SNiFF+ usage
highlighted in the Source Editor, includes shown in Include Browser, dependency generation for make support